package com.unis.detectionnum.server.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.detectionnum.common.vo.DKdxxsjyVO;
import com.unis.detectionnum.server.entity.DKdxxsjyDO;

import tk.mybatis.mapper.common.Mapper;

/**
 * 
 * @ClassName: DKdxxsjyDao 
 * @Description: DKdxxsjyDao 
 * @author huangxing
 * @date 2019年7月22日 下午5:22:22 
 * 
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface DKdxxsjyDao extends Mapper<DKdxxsjyDO> {

	/**
	 * 根据参数获取苦点信息列表
	 * @param dKdxxsjyDO
	 * @return
	 */
	List<DKdxxsjyVO> getDKdxxsjyList(DKdxxsjyDO dKdxxsjyDO);


	List<DKdxxsjyVO> getDKdxxsjyLists(DKdxxsjyDO dKdxxsjyDO);
	/**
	 * 根据库点编码获取库点信息 
	 * @param kddm 库点编号
	 * @return
	 */
	DKdxxsjyDO getDKdxxsjyInfoBykddm(@Param("kddm")String kddm);

	/**
	 * 根据库点名称获取库点是否存在
	 * @param kdmc 库点名称
	 * @return
	 */
	DKdxxsjyDO getDKdxxsjyInfoBykdmc(@Param("kdmc")String kdmc);

	/**
	 * 根据统一行政区划获取最大编号
	 * @param tyshxydm
	 * @return
	 */
	String getMaxCodeById();

	/**
	 * 获取最大设备编号
	 * @return
	 */
	String getMaxById(@Param("prefix")String prefix);
	
	/**
	 * 添加库点信息
	 * @param tyshxydm
	 * @return
	 */
	int insert(DKdxxsjyDO dKdxxsjyDO);

	/**
	 * 更新库点信息
	 * @param dKdxxsjyDO
	 * @return
	 */
	int update(DKdxxsjyDO dKdxxsjyDO);

	/**
	 * 根据KDDM获取总库容和总仓房数
	 * @param kddm
	 * @return
	 */
	List<DKdxxsjyDO> getKdyxcrAndCfsByKddm(String kddm);

	/**
	 * 根据统一社会信用代码获取库点信息列表
	 * @param userCode
	 * @return
	 */
	List<DKdxxsjyDO> getDKdxxsjyInfoBytyshxydm(String userCode);

	/**
	 * 根据统一社会信用代码获取库点信息列表
	 * @param userCode
	 * @return
	 */
	List<DKdxxsjyDO> getDKdxxsjyInfoBytyshxydms(String userCode);
	/**
	 * 根据统一社会信用代码删除库点信息
	 * @param tyshxydm
	 * @return
	 */
	int deleteList(String tyshxydm);

	List<DKdxxsjyDO> getDKdxxsjyAll(String userCode);


	List<DKdxxsjyDO> getDKdxxsjyAlls(String userCode);
}
